statuses/friends_timeline

Description

Returns the 20 most recent statuses posted by the authenticating user and that user's friends. This is the equivalent of "You and friends" page in the web interface.

URL patterns
  • /api/statuses/friends_timeline.:format
  • /api/statuses/friends_timeline/:id.:format
Formats (:format)
xml, json, rss, atom
ID (:id)
username, user id
HTTP Method(s)
GET
Requires Authentication
Sometimes (see: Authentication)
Parameters:
user_id (Optional) Specifies a user by ID
screen_name (Optional) Specifies a user by screename (nickname)
since_id (Optional) Returns only statuses with an ID greater than (that is, more recent than) the specified ID.
max_id (Optional) Returns only statuses with an ID less than (that is, older than) or equal to the specified ID.
count (Optional) Specifies the number of statuses to retrieve.
page (Optional) Specifies the page of results to retrieve.
See also:
Authentication

API Root

Usage notes

Example usage

    curl http://identi.ca/api/statuses/friends_timeline/evan.xml?count=1&page=2
    

Example response

    <?xml version="1.0"?>
    <statuses type="array">
      <status>
        <text>back from the !yul !drupal meet with Evolving Web folk, @anarcat, @webchick and others, and an interesting refresher on SQL indexing</text>
        <truncated>false</truncated>
        <created_at>Wed Mar 31 01:33:02 +0000 2010</created_at>
        <in_reply_to_status_id/>
        <source>&lt;a href="http://code.google.com/p/microblog-purple/"&gt;mbpidgin&lt;/a&gt;</source>
        <id>26674201</id>
        <in_reply_to_user_id/>
        <in_reply_to_screen_name/>
        <geo/>
        <favorited>false</favorited>
        <user>
          <id>246</id>
          <name>Mark</name>
          <screen_name>lambic</screen_name>
          <location>Montreal, Canada</location>
          <description>Geek</description>
          <profile_image_url>http://avatar.identi.ca/246-48-20080702141545.png</profile_image_url>
          <url>http://lambic.co.uk</url>
          <protected>false</protected>
          <followers_count>73</followers_count>
          <profile_background_color>#F0F2F5</profile_background_color>
          <profile_text_color/>
          <profile_link_color>#002E6E</profile_link_color>
          <profile_sidebar_fill_color>#CEE1E9</profile_sidebar_fill_color>
          <profile_sidebar_border_color/>
          <friends_count>58</friends_count>
          <created_at>Wed Jul 02 14:12:15 +0000 2008</created_at>
          <favourites_count>2</favourites_count>
          <utc_offset>-14400</utc_offset>
          <time_zone>US/Eastern</time_zone>
          <profile_background_image_url/>
          <profile_background_tile>false</profile_background_tile>
          <statuses_count>933</statuses_count>
          <following>false</following>
          <notifications>false</notifications>
        </user>
      </status>
    </statuses>
    

Generated on Fri Apr 23 15:42:51 2010 for StatusNet REST API by  doxygen 1.5.8